# WhoAmI

> Which workspace and access level this API key acts with. Read access, workspace toolset, MCP tool get_current_api_key.

**Access:** [Read](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

This operation takes no variables.

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"WhoAmI","variables":{},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"e3460b7cd02a5f52045c279a7dd04402cd54988003e4bbe8e91eaa2646bc154c"}}}'
```

## Document

```graphql
query WhoAmI { __typename currentApiKey { __typename access creator { __typename name } effective id kind name workspaceId workspaceName } }
```

Source: https://developer.missin.co.uk/reference/workspace/who-am-i
